// revlines.cpp
// Glenn G. Chappell
// 18 Jan 2013
//
// For CS 321 Spring 2013
// Filter: reverse lines

#include <iostream>
using std::cout;
using std::endl;
using std::cin;
#include <string>
using std::string;
using std::getline;
#include <cstdlib>
using std::exit;
using std::size_t;


// revLines
// Reads lines from cin, printing each to cout reversed.
// Returns false on error, otherwise returns true.
bool revLines()
{
    while (true)
    {
        string line;
        getline(cin, line);
        if (!cin)
        {
            if (cin.eof()) break;
            return false;
        }

        size_t n = line.size();
        for (size_t i = 0; i < n; ++i)
            cout << line[n-1-i];
        cout << endl;
    }
    return true;
}


// Main program
// Call function revLines
int main()
{
    bool success = revLines();
    if (!success)
        exit(1);

    return 0;
}

